Bug 2044963 - F36FailsToInstall: postorius
Summary: F36FailsToInstall: postorius
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: python-postorius
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact:
URL:
Whiteboard:
Depends On: 2113645
Blocks: F36FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2022-01-25 11:45 UTC by Miro Hrončok
Modified: 2022-10-07 09:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-07 09:42:52 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2022-01-25 11:45:31 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (python-postorius) Fails To Install in Fedora 36:

can't install postorius:
  - nothing provides (python3.10dist(django) < 3.3~~ with python3.10dist(django) >= 2.2) needed by postorius-1.3.6-1.fc36.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2022-02-01 14:16:42 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 2 Ben Cotton 2022-02-08 20:22:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 36 development cycle.
Changing version to 36.

Comment 3 Miro Hrončok 2022-02-23 00:44:11 UTC
Hello,

This is the second reminder (step 4 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 4 Michel Alexandre Salim 2022-03-23 21:22:06 UTC
Need to chase the dependencies, but now that F36 is branched I'm going to be more ruthless about proposing a potential compatibility break if necessary

Comment 5 Miro Hrončok 2022-08-25 09:41:28 UTC
This Bugzilla was ASSIGNED on 2022-03-23 but nothing happened. We are past Fedora 37 Beta Freeze and this package does not even install. What is the plan wrt this package? Can it please be removed from the distribution until this is solved?

Comment 6 Miro Hrončok 2022-09-28 22:33:37 UTC
Is it realistic to have this fixed in time for Fedora 37 GA, or can I retire the package to avoid blocked upgrades to Fedora 37? It can be unretired and shipped via an update after the GA.

Comment 7 Neal Gompa 2022-09-29 00:56:13 UTC
It should be possible to fix this. We'd need to create a python-django3 package for the mailman stack to use.

Comment 8 Miro Hrončok 2022-09-29 18:17:15 UTC
The Fedora Engineering Steering Committee has approved [1] to retire the remaining non-installable packages still depending on Python 3.10 from Fedora 37 and Rawhide 1-2 days before the final freeze. We plan to retire this package this Sunday: 2022-10-02. If you wish to fix this package for time for Fedora 37 GA, please request a freeze exception [2].

[1] https://pagure.io/fesco/issue/2876
[2] https://qa.fedoraproject.org/blockerbugs/propose_bug

Comment 9 Miro Hrončok 2022-10-03 09:34:05 UTC
Retired in dist-git.

Comment 10 Miro Hrončok 2022-10-04 13:32:39 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 38.

Thanks for taking care of it!

Comment 11 Miro Hrončok 2022-10-04 13:45:39 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 37.

Thanks for taking care of it!

Comment 12 Miro Hrončok 2022-10-07 09:42:52 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 36.

Thanks for taking care of it!


Note You need to log in before you can comment on or make changes to this bug.